summaryrefslogtreecommitdiff
path: root/cpp/src/tests/start_cluster
diff options
context:
space:
mode:
Diffstat (limited to 'cpp/src/tests/start_cluster')
-rwxr-xr-xcpp/src/tests/start_cluster19
1 files changed, 19 insertions, 0 deletions
diff --git a/cpp/src/tests/start_cluster b/cpp/src/tests/start_cluster
new file mode 100755
index 0000000000..c2806bb225
--- /dev/null
+++ b/cpp/src/tests/start_cluster
@@ -0,0 +1,19 @@
+#!/bin/sh
+# Start a cluster of brokers on local host.
+# Print the cluster's URL.
+#
+
+test -f cluster.ports && { echo "cluster.ports file already exists" ; exit 1; }
+test -z "$*" && { echo "Usage: $0 cluster-size [options]"; exit 1; }
+
+SIZE=$1
+shift
+OPTS=$*
+
+for (( i=0; i<SIZE; ++i )); do
+ PORT=`../qpidd -dp0 --log.output=broker$i.log $OPTS` || exit 1
+ PORTS="$PORT $PORTS"
+done
+echo $PORTS > cluster.ports
+
+